org.hibernate.validator.ap.util

## Class TypeNames.HibernateValidatorTypes

- java.lang.Object
- - org.hibernate.validator.ap.util.TypeNames.HibernateValidatorTypes

- Enclosing class:
    TypeNames

      public static class TypeNames.HibernateValidatorTypes
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_GROUP_SEQUENCE_PROVIDER`
    `static String` | `EMAIL`
    `static String` | `GROUP_SEQUENCE_PROVIDER`
    `static String` | `LENGTH`
    `static String` | `LUHN_CHECK`
    `static String` | `MOD_10_CHECK`
    `static String` | `MOD_11_CHECK`
    `static String` | `MOD_CHECK`
    `static String` | `NOT_BLANK`
    `static String` | `SAFE_HTML`
    `static String` | `SCRIPT_ASSERT`
    `static String` | `URL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeNames.HibernateValidatorTypes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GROUP_SEQUENCE_PROVIDER

          public static final String GROUP_SEQUENCE_PROVIDER

      See Also:
        Constant Field Values

    - #### DEFAULT_GROUP_SEQUENCE_PROVIDER

          public static final String DEFAULT_GROUP_SEQUENCE_PROVIDER

      See Also:
        Constant Field Values

    - #### EMAIL

          public static final String EMAIL

      See Also:
        Constant Field Values

    - #### LENGTH

          public static final String LENGTH

      See Also:
        Constant Field Values

    - #### MOD_CHECK

          public static final String MOD_CHECK

      See Also:
        Constant Field Values

    - #### LUHN_CHECK

          public static final String LUHN_CHECK

      See Also:
        Constant Field Values

    - #### MOD_10_CHECK

          public static final String MOD_10_CHECK

      See Also:
        Constant Field Values

    - #### MOD_11_CHECK

          public static final String MOD_11_CHECK

      See Also:
        Constant Field Values

    - #### NOT_BLANK

          public static final String NOT_BLANK

      See Also:
        Constant Field Values

    - #### SAFE_HTML

          public static final String SAFE_HTML

      See Also:
        Constant Field Values

    - #### SCRIPT_ASSERT

          public static final String SCRIPT_ASSERT

      See Also:
        Constant Field Values

    - #### URL

          public static final String URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TypeNames.HibernateValidatorTypes

          public TypeNames.HibernateValidatorTypes()

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved